﻿html, body, div, span,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark {
    border: 0;
    font: inherit;
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    font-size: 1em;
    margin: 0;
    padding: 0;
    vertical-align: baseline;
}

#wrapper {
    display: block;
    margin: auto;
    padding: 10px 10px 10px;
    width: 1100px;
}

#title {
    margin: auto;
}

#body {
    background-color: #FFFFFF;
    clear: both;
    margin: auto;
    margin-top: 4px;
    padding-bottom: 10px;
    padding-top: 10px;
    width: 100%;
}

#details {
    display: inline;
    margin: 1em;
}

#heading {
    display: inline;
}

#subheading {
    display: inline;
}

#options {
    display: inline;
    float: right;
    margin: 0.5em;
}

#index {
    margin: 1em;
}

#menu {
    display: none;
    margin: .25em;
    position: absolute;
    z-index: 1;
}

.thick_border {
    border-bottom: 10px solid #D2D3D2;
    border-top: 10px solid #D2D3D2;
}

.green {
    background-color: #93BD60;
}

.green_text {
    color: #93BD60;
}

.blue {
    background-color: #123885;
}

.blue_text {
    color: #123885;
}

.teal {
    background-color: #008183;
}

.teal_text {
    color: #008183;
}

.dsi_blue {
    background-color: #215A78;
}

.white {
    background-color: white;
}

.white_text {
    color: white;
}

.orange {
    background-color: #F58029;
}

.orange_text {
    color: #F58029;
}

form {
    display: inline;
}

.table {
    display: table;
}

.table-cell {
    display: table-cell;
    padding: 0 10px 0 0;
}

.table-row {
    display: table-row;
}



h1, h2, h3,
h4, h5, h6 {
    -webkit-margin-after: 0;
    -webkit-margin-before: 0;
    color: #000;
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    margin-bottom: 0;
    padding-bottom: 0;
}

h1 {
    font-size: 3em;
    font-weight: 100;
    padding: 0.5em 0 0.5em 0;
    text-align: center;
}

h2 {
    font-size: 1.75em;
}

h3 {
    font-size: 1.2em;
}

h4 {
    font-size: 1.1em;
}

h5, h6 {
    font-size: 1em;
}

    h5 a:link, h5 a:visited, h5 a:active {
        padding: 0;
        text-decoration: none;
    }

/* hide the header background for tabs */

#tabs {
    background: none;
    border-width: 0px;
    padding: 0px;
}

    #tabs .ui-tabs-nav {
        -moz-border-radius: 0px;
        -webkit-border-radius: 0px;
        background: transparent;
        border-radius: 0px;
        border-width: 0px 0px 1px 0px;
        padding-left: 0px;
    }

    #tabs .ui-tabs-panel {
        border-width: 0px 1px 1px 1px;
    }


#button {
    background: #FFFFFF;
    font-size: 0.75em;
    margin: 0.25em;
}

    #button.delete-button {
        border: none;
        margin: 0px;
        vertical-align: top;
    }

    #button.transfer-button {
        margin: 0px;
    }

#test-items #button.delete-button {
    margin-top: 15px;
}

/* navigation-menu
----------------------------------------------------------*/

ul#navigation-menu {
    clear: both;
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    font-size: 0.9em;
    font-weight: 300;
    list-style-type: none;
    margin: auto;
}

    ul#navigation-menu li {
        float: left;
        height: auto;
        list-style: none;
        margin-bottom: 10px;
    }

        ul#navigation-menu li a {
            border-right: 1px solid #D2D3D2;
            display: block;
            padding: 4px 4px 4px 4px;
            text-decoration: none;
        }

            ul#navigation-menu li a:hover {
                background: #215A78;
                color: #FFF;
                text-decoration: none;
            }


/* forms */

fieldset {
    border: 1px solid #d2d3d2;
    display: block;
    font-family: inherit;
    grid-column: auto;
    grid-row: auto;
    margin: 10px;
    padding: 10px 10px 10px 10px;
    text-space-collapse: collapse;
}

    fieldset .editor-group {
        display: inline-block;
        padding: 10px;
    }

    fieldset .editor-field {
        padding-bottom: 5px;
    }

    fieldset .display-label {
        font-weight: bold;
        vertical-align: top;
    }

    fieldset ol {
        list-style: none;
        padding: 0;
    }

        fieldset ol li {
            padding-bottom: 5px;
        }

select {
    width: 200px;
}

label {
    display: block;
    font-size: 1.2em;
    font-weight: 600;
}

    label.checkbox {
        display: inline;
    }

input, textarea {
    background: #fff;
    border: 1px solid #e2e2e2;
    color: #333;
    display: inline;
    font-size: 1.0em;
    margin: 5px 0 6px 0;
    padding: 5px;
    width: 300px;
}



div#demand-type input {
    margin-top: 15px;
}

textarea {
    font-family: inherit;
    width: 620px;
}

    input:focus, textarea:focus {
        border: 1px solid #7ac0da;
    }

input[type="checkbox"] {
    background: transparent;
    border: inherit;
    width: auto;
}

input[type="radio"] {
    background: transparent;
    border: inherit;
    width: auto;
}

input[type="submit"],
input[type="button"],
button {
    background-color: #d2d3d2;
    border: 1px solid #787878;
    cursor: pointer;
    font-size: 1.2em;
    font-weight: 600;
    margin-right: 8px;
    padding: 7px;
    width: auto;
}

td input[type="submit"],
td input[type="button"],
td button {
    font-size: 1em;
    margin-right: 4px;
    padding: 4px;
}

#button-cell {
    text-align: right;
}

/* info and errors */

.message-info {
    border: 1px solid;
    clear: both;
    padding: 10px 20px;
}

.message-error {
    clear: both;
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.message-success {
    color: #7ac0da;
    font-size: 1.3em;
    font-weight: bold;
    margin: 20px 0 10px 0;
}

.error {
    color: #e80c4d;
}

/* styles for validation helpers */

.field-validation-error {
    color: #e80c4d;
    font-weight: bold;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c4d;
    font-size: 1.1em;
    font-weight: bold;
    padding-left: 25px;
}

.validation-summary-valid {
    display: none;
}


/* tables
----------------------------------------------------------*/

table {
    border-spacing: 0;
    margin-top: 0.75em;
    table-layout: fixed;
    width: 100%;
}

th {
    background-color: #D2D3D2;
    border-bottom: 1px solid #787878;
    font-size: 1.0em;
    font-weight: bold;
    padding: 2px;
    text-align: left;
}

    /*
    th a {
        display: block;
        position: relative;
		
    }
	*/

    th a:link, th a:visited, th a:active, th a:hover {
        color: #333;
        font-weight: 600;
        padding: 0;
        text-decoration: none;
    }

    th a:hover {
        color: #000;
    }

    th.asc a, th.desc a {
        margin-right: .75em;
    }

        th.asc a:after, th.desc a:after {
            display: block;
            font-size: 0.75em;
            position: absolute;
            right: 0em;
            top: 0;
        }

        th.asc a:after {
            content: '▲';
        }

        th.desc a:after {
            content: '▼';
        }

td {
    border-bottom: 1px solid gray;
    font-size: .75em;
    overflow: hidden;
    padding: 2px 2px 2px 2px;
    text-overflow: ellipsis;
    vertical-align: top;
}

    td a {
        word-wrap: break-word;
    }

/* Job function demands list of items */

#demands-table {
    position: static;
    table-layout: auto;
    text-align: left;
}


    #demands-table td .column {
        height: inherit;
        padding: 5px;
        position: static;
        text-align: left;
        vertical-align: top;
    }

    #demands-table td .column {
        height: inherit;
        padding: 5px;
        position: static;
        text-align: left;
        vertical-align: top;
    }

    #demands-table td .column {
        display: inline-block;
        height: inherit;
        position: static;
    }

    #demands-table td .inner-column {
        display: inline-block;
        height: inherit;
        position: static;
        width: 200px;
    }

    #demands-table #demand {
        font-size: 1em;
    }

        #demands-table #demand textarea {
            min-height: 100px;
            width: 200px;
        }

    #demands-table #checkbox-column {
        padding: 5px;
        width: 100px;
    }

    #demands-table #test textarea {
        margin: 0px;
        min-height: initial;
        width: initial;
    }

    #demands-table .demand-text {
        height: auto;
        max-width: 200px;
        min-height: 100px;
        width: auto;
    }

.demand-text textarea {
    width: 200px;
    box-sizing: border-box;
}

#demands-table .specific-requirement-text {
    vertical-align: central;
}

#demands-table .force-demands {
    min-width: 320px;
}

#demands-table .movement-and-position-requirements {
    margin-left: 0px;
    margin-right: 0px;
}

#test-items {
    display: inherit;
    min-width: 320px;
}

#demands-table .specific-requirement-text textArea {
    height: auto;
    min-height: 50px;
    width: 140px;
}

.summary-table {
    display: table;
}

.summary-tr {
    display: table-row;
}

.summary-th {
    display: table-row;
    font-weight: bold;
    text-align: center;
}

.summary-demand {
    display: table-column;
    width: 200px;
}

.summary-td {
    display: table-cell;
}

.summary-frequency {
    display: table-column;
    width: 100px;
}

.summary-requirement {
    display: table-column;
    width: 500px;
}

.summary-table input {
    width: 80%;
}

.summary-table #requirement input {
    width: 100%;
}

.row {
    display: inline;
    margin-bottom: 10px;
    position: static;
    vertical-align: top;
}

tr.pager td {
    padding: 0 0.25em 0 0;
}

footer {
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    height: auto;
    margin: 1em;
    text-align: center;
}

div #demand-type {
    display: inherit;
    vertical-align: inherit;
}

    div #demand-type select {
        display: inherit;
        font-size: inherit;
        vertical-align: inherit;
        width: auto;
    }

div #amount {
    display: inherit;
    vertical-align: top;
}

    div #amount input {
        border: 1px solid gray;
        display: inherit;
        margin: 0px;
        vertical-align: top;
        width: 5em;
    }

    div #amount #lbs {
        display: inline-table;
        padding-left: 5px;
        padding-top: 5px;
        vertical-align: top;
    }

#force-demands-table {
    border-bottom: none;
    table-layout: auto;
    width: 340px;
}

    #force-demands-table td {
        border-bottom: none;
    }

#force-demands-display {
    width: auto;
}

#jfd-footer {
    width: 1080px;
}

#jfd-container {
    position: relative;
}

.nav-buttons-static {
    bottom: 20px;
    left: 30px;
    position: fixed;
    z-index: 1000;
}

.login {
    margin: 10px;
}

.column {
    display: inline-block;
    vertical-align: top;
}

.number {
    height: inherit;
    padding-top: 10px;
}

td.number {
    border-bottom: none;
}


.test-table {
    font-size: .75em;
}

.small-font {
    font-size: .75em;
}

.ui-dialog.ui-widget {
    font-size: .75em;
}

.ui-tooltip.ui-widget {
    font-size: .75em;
}

.button {
    background: #FFF;
    font-size: 0.75em;
    margin: 0.25em;
    padding: 4px;
    border: 1px solid #787878;
    cursor: pointer;
    width: auto;
    border-radius: 4px;
}

    .button.re-order {
        color: #E89900;
        border-color: #E89900;
    }

.demand.column textarea {
    min-height: 100px;
    width: 100%;
    box-sizing: border-box;
}

table.jfd-table {
    width: 100%;
    max-width: 100%;
    margin-top: 0;
}

    table.jfd-table th {
        background-color: #fff;
        font-size: 9px;
        font-weight: bold;
    }

    table.jfd-table td, table.jfd-table th {
        border-bottom: none;
        padding: 5px;
    }

        table.jfd-table th.spec-req-header {
            width: 175px;
        }

        table.jfd-table th.movement-position-header {
            width: 150px;
        }

        table.jfd-table th span.text {
            display: inline-block;
            margin-top: 3px;
        }

div.inline-checkbox label {
    display: inline-block;
    font-size: 12px;
}

div.inline-checkbox input {
    display: inline-block;
}

th.spec-req-header div.include-container {
    display: inline-block;
    float: right;
}

div.include-container label {
    font-size: 9px;
    display: inline-block;
    vertical-align: middle;
}

div.include-container input {
    margin: 0;
    vertical-align: middle;
}

table.jfd-table th.small-column {
    width: 15px;
}

    table.jfd-table th.small-column.reorder-column, table.jfd-table td.small-column.reorder-column {
        padding-left: 2px;
    }

    table.jfd-table th.small-column.order-column, table.jfd-table td.small-column.order-column {
        padding-right: 2px;
    }

table.jfd-table > thead > tr > th {
    vertical-align: bottom;
    border-bottom: 1px solid #ddd;
}

table.jfd-table > tfoot > tr > th {
    vertical-align: top;
    border-top: 2px solid #ddd;
}

.jfd-table > tbody > tr:nth-of-type(odd) {
    background-color: #f9f9f9;
}

.jfd-table > tbody > tr > td {
    border-top: 1px solid #ddd;
    border-bottom: none;
    vertical-align: middle;
}

#demands-table div.jfd-table-container {
    width: 70%;
    padding: 5px;
}

div.jfd-table-container .jfd-table .form-control {
    padding: 1px;
    font-size: 9px;
    width: 100%;
    margin: 0;
}

div.jfd-table-container .jfd-table .fd-field {
    display: inline;
}

    div.jfd-table-container .jfd-table .fd-field input.amount {
        border: 1px solid gray;
        display: inherit;
        margin: 0;
        width: 5em;
        padding: 1px;
    }

div.jfd-table-container .jfd-table td div.jfd-table-inline {
    display: inline-block;
    vertical-align: middle;
}

.clearfix:after {
    visibility: hidden;
    display: block;
    content: "";
    clear: both;
    height: 0;
}

textarea.spec-req-text {
    width: 130px;
    box-sizing: border-box;
}

.jfd-table .delete-button {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
}

.hidden {
    display: none !important;
}

div .demand-type {
    display: inherit;
    vertical-align: inherit;
}

    div.demand-type input {
        margin-top: 15px;
    }

    div .demand-type select {
        display: inherit;
        font-size: inherit;
        vertical-align: inherit;
        width: auto;
    }

div.jfd-table-container .jfd-table input.amount {
    border: 1px solid gray;
    display: inherit;
    margin: 0;
    width: 5em;
    padding: 1px;
}

div.fd-field {
    display: inline-block;
}

    div.fd-field input.amount {
        width: 5em;
    }

    div.fd-field select {
        display: inline-block;
        font-size: inherit;
        width: auto;
    }

table.fixedHeader-floating thead tr th {
    font-size: 17.6px;
}

.button.icon-button {
    font-size: 10px;
}

.dataTables_scrollBody table thead tr {
    display: none;
}

div#site-message {
    width: 60%;
    font-size: 90%;
    background-color: lightblue;
    color: darkblue;
    border: 1px solid darkblue;
    float:right;
    padding: 3px 12px;
}
